### Function

# Shumate VectorValue new_number

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_value_new_number (
      double number
    )

#### Description [src]

Creates a new `ShumateVectorValue` with a number value.

Available since: 1.6

#### Parameters

`number`

  Type: `double`

  A number value.

#### Return value

Type: `ShumateVectorValue`

A new `ShumateVectorValue` with the given number value.

The caller of the function takes ownership of the data, and is responsible for freeing it.